> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illumiatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credential Types

> Returns a list of credential types. Query parameters can be used to limit the scope of the list.



## OpenAPI

````yaml /api-reference/idx/atlas-spec-instmgmt-credential/1.0/idx-instmgmt-credential.json get /credentials/types
openapi: 3.0.3
info:
  title: Institution Management Credential API - 1.0
  version: '1.0'
  description: Credential operations available for institution integration.
  contact:
    name: Transact Campus
    url: https://www.transactcampus.com/
    email: no-reply@transactcampus.com
  termsOfService: TBD
  license:
    name: ISC
    url: https://www.transactcampus.com
servers:
  - url: https://api.transactcampus.com/idx/institution-management/credentials/v1
    description: Prod
  - description: UAT
    url: https://api-uat.transactsp.net/idx/institution-management/credentials/v1
security:
  - ApimKey: []
tags:
  - name: Credential
    description: The credential tag
  - name: Credential Type
    description: The credential type tag
  - name: Credential Value Pool
    description: The credential value pool tag
  - name: Credential Value Type
    description: The credential value type tag
paths:
  /credentials/types:
    get:
      tags:
        - Credential Type
      summary: List Credential Types
      description: >-
        Returns a list of credential types. Query parameters can be used to
        limit the scope of the list.
      operationId: list-credential-types
      parameters:
        - $ref: '#/components/parameters/offset-query-param'
        - $ref: '#/components/parameters/limit-query-param'
        - name: issuerType
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - BIOMETRIC
                - MOBILE
                - PHYSICAL
                - VIRTUAL
          description: The issuer type.
      responses:
        '200':
          description: The list of credential types.
          content:
            application/json:
              schema:
                required:
                  - credentialTypes
                type: object
                additionalProperties: false
                properties:
                  credentialTypes:
                    type: array
                    items:
                      $ref: '#/components/schemas/credential-type-model'
                  paging:
                    $ref: '#/components/schemas/paging-model'
        '400':
          $ref: '#/components/responses/error-response'
        '401':
          $ref: '#/components/responses/error-response'
        '403':
          $ref: '#/components/responses/error-response'
        '429':
          $ref: '#/components/responses/error-response'
        '500':
          $ref: '#/components/responses/500-error-response'
components:
  parameters:
    offset-query-param:
      name: offset
      in: query
      description: The offset parameter for pagination.
      schema:
        minimum: 0
        type: integer
        format: int32
        default: 0
      style: form
      explode: false
    limit-query-param:
      name: limit
      in: query
      description: The limit parameter for pagination.
      schema:
        minimum: 1
        type: integer
        format: int32
        default: 50
      style: form
      explode: false
  schemas:
    credential-type-model:
      title: Credential Type
      required:
        - id
        - issuerType
        - name
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The credential type identifier in UUID format
          format: uuid
        issuerType:
          type: string
          description: The issuer type.
          enum:
            - BIOMETRIC
            - MOBILE
            - PHYSICAL
            - VIRTUAL
        name:
          maxLength: 20
          type: string
          description: The credential type name. Must be unique for the institution.
      description: The credential type model.
    paging-model:
      title: Paging
      required:
        - limit
        - offset
        - total
      type: object
      additionalProperties: false
      properties:
        offset:
          minimum: 0
          type: integer
          description: The number of entities skipped before the list begins.
        limit:
          minimum: 1
          type: integer
          description: The maximum number of entities returned in the list.
        total:
          minimum: 0
          type: integer
          description: The total amount of entities.
      description: The paging information model.
    error-response-model:
      title: Error Response
      description: The error response model.
      type: object
      additionalProperties: false
      required:
        - errors
      properties:
        errors:
          type: array
          description: The list of errors.
          minItems: 1
          items:
            type: object
            additionalProperties: false
            required:
              - errorCode
              - errorMessage
            properties:
              errorCode:
                type: string
                description: The error code describing the failure.
              errorMessage:
                type: string
                description: The error message providing the error details.
              source:
                type: object
                additionalProperties: false
                description: The source of the error.
                properties:
                  pathParameter:
                    type: string
                    description: The path parameter causing the error.
                  queryParameter:
                    type: string
                    description: The query parameter causing the error.
                  header:
                    type: string
                    description: The header causing the error.
                  field:
                    type: string
                    description: The field causing the error.
                  dependentResource:
                    type: string
                    description: The dependent resource causing the error.
              moreInfo:
                type: string
                description: More information about the error.
  responses:
    error-response:
      description: An error occurred. See error information for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error-response-model'
    500-error-response:
      description: An unexpected internal error occurred.
      content: {}
  securitySchemes:
    ApimKey:
      name: Ocp-Apim-Subscription-Key
      type: apiKey
      in: header
      description: The APIM subscription key.

````